picard.analysis

## Class CollectOxoGMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.CollectOxoGMetrics

-     public class CollectOxoGMetrics
      extends CommandLineProgram

  Class for trying to quantify the CpCG->CpCA error rate.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollectOxoGMetrics.CpcgMetrics` Metrics class for outputs.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `CONTEXT_SIZE`
    `Set<String>` | `CONTEXTS`
    `File` | `DB_SNP`
    `boolean` | `INCLUDE_NON_PF_READS`
    `File` | `INPUT`
    `File` | `INTERVALS`
    `int` | `MAXIMUM_INSERT_SIZE`
    `int` | `MINIMUM_INSERT_SIZE`
    `int` | `MINIMUM_MAPPING_QUALITY`
    `int` | `MINIMUM_QUALITY_SCORE`
    `File` | `OUTPUT`
    `File` | `REFERENCE_SEQUENCE`
    `int` | `STOP_AFTER`
    `boolean` | `USE_OQ`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectOxoGMetrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String[]` | `customCommandLineValidation()` Put any custom command-line validation in an override of this method.
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="Input BAM file for analysis.")
          public File INPUT

    - #### OUTPUT

          @Option(shortName="O",
                  doc="Location of output metrics file to write.")
          public File OUTPUT

    - #### REFERENCE_SEQUENCE

          @Option(shortName="R",
                  doc="Reference sequence to which BAM is aligned.")
          public File REFERENCE_SEQUENCE

    - #### INTERVALS

          @Option(doc="An optional list of intervals to restrict analysis to.",
                  optional=true)
          public File INTERVALS

    - #### DB_SNP

          @Option(doc="VCF format dbSNP file, used to exclude regions around known polymorphisms from analysis.",
                  optional=true)
          public File DB_SNP

    - #### MINIMUM_QUALITY_SCORE

          @Option(shortName="Q",
                  doc="The minimum base quality score for a base to be included in analysis.")
          public int MINIMUM_QUALITY_SCORE

    - #### MINIMUM_MAPPING_QUALITY

          @Option(shortName="MQ",
                  doc="The minimum mapping quality score for a base to be included in analysis.")
          public int MINIMUM_MAPPING_QUALITY

    - #### MINIMUM_INSERT_SIZE

          @Option(shortName="MIN_INS",
                  doc="The minimum insert size for a read to be included in analysis. Set of 0 to allow unpaired reads.")
          public int MINIMUM_INSERT_SIZE

    - #### MAXIMUM_INSERT_SIZE

          @Option(shortName="MAX_INS",
                  doc="The maximum insert size for a read to be included in analysis. Set of 0 to allow unpaired reads.")
          public int MAXIMUM_INSERT_SIZE

    - #### INCLUDE_NON_PF_READS

          @Option(shortName="NON_PF",
                  doc="Whether or not to include non-PF reads.")
          public boolean INCLUDE_NON_PF_READS

    - #### USE_OQ

          @Option(doc="When available, use original quality scores for filtering.")
          public boolean USE_OQ

    - #### CONTEXT_SIZE

          @Option(doc="The number of context bases to include on each side of the assayed G/C base.")
          public int CONTEXT_SIZE

    - #### CONTEXTS

          @Option(doc="The optional set of sequence contexts to restrict analysis to. If not supplied all contexts are analyzed.")
          public Set<String> CONTEXTS

    - #### STOP_AFTER

          @Option(doc="For debugging purposes: stop after visiting this many sites with at least 1X coverage.")
          public int STOP_AFTER

  - ### Constructor Detail

    - #### CollectOxoGMetrics

          public CollectOxoGMetrics()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### customCommandLineValidation

          protected String[] customCommandLineValidation()

      Description copied from class: `CommandLineProgram`
      Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.
      Overrides:
        `customCommandLineValidation` in class `CommandLineProgram`
      Returns:
        null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.